Bug 1487718 (CVE-2017-13775) - CVE-2017-13775 GraphicsMagick: Resource exhaustion in ReadJNXImage() function in coders/jnx.c
Summary: CVE-2017-13775 GraphicsMagick: Resource exhaustion in ReadJNXImage() function...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-13775
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1475495 1488444
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 17:31 UTC by Pedro Sampaio
Modified: 2019-09-29 14:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:47 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-09-01 17:31:08 UTC
GraphicsMagick 1.3.26 has a denial of service issue in ReadJNXImage()
in coders/jnx.c whereby large amounts of CPU and memory resources may
be consumed although the file itself does not support the requests.

Upstream patch:

http://hg.code.sf.net/p/graphicsmagick/code/rev/b037d79b6ccd

References:

http://openwall.com/lists/oss-security/2017/08/31/3

Comment 1 Andrej Nemec 2017-09-06 13:21:14 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1488444]

Comment 2 Andrej Nemec 2017-09-06 13:24:35 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: fedora-all [bug 1475495]

Comment 3 Product Security DevOps Team 2019-06-08 03:23:47 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.